# WOK
TKWOK
MS

# MS_Common Class Reference

`#include <MS_Common.hxx>`

Inheritance diagram for MS_Common:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Name (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT const Handle_TCollection_HAsciiString & | Name () const
virtual Standard_EXPORT void | FullName (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT const Handle_TCollection_HAsciiString & | FullName () const
Standard_EXPORT void | MetaSchema (const Handle(MS_MetaSchema)&aMetaSchema)
| set the workspace for <me>.
Standard_EXPORT MS_MetaSchemaPtr | GetMetaSchema () const
| get the workspace of <me>.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | MS_Common (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT | MS_Common (const Handle(TCollection_HAsciiString)&aName, const Handle(MS_MetaSchema)&aMetaSchema)

## Private Attributes

Handle_TCollection_HAsciiString | myName
Handle_TCollection_HAsciiString | myFullName
MS_MetaSchemaPtr | myMetaSchema

## Constructor & Destructor Documentation

Standard_EXPORT MS_Common::MS_Common | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[protected]`

Standard_EXPORT MS_Common::MS_Common | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(MS_MetaSchema)& | aMetaSchema
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT const Handle_TCollection_HAsciiString& MS_Common::FullName | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void MS_Common::FullName | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

Standard_EXPORT MS_MetaSchemaPtr MS_Common::GetMetaSchema | ( |  | ) | const

Standard_EXPORT const MS_Common::Handle | ( | Standard_Type |  | ) | const

Reimplemented in MS_Alias, MS_Class, MS_ClassMet, MS_Client, MS_Component, MS_Construc, MS_Engine, MS_Enum, MS_Error, MS_Exec, MS_ExecPart, MS_Executable, MS_ExternMet, MS_Field, MS_GenClass, MS_GenType, MS_GlobalEntity, MS_Imported, MS_InstClass, MS_InstMet, MS_Interface, MS_MemberMet, MS_Method, MS_NatType, MS_Package, MS_Param, MS_ParamWithValue, MS_Pointer, MS_PrimType, MS_Schema, MS_StdClass, and MS_Type.

Standard_EXPORT void MS_Common::MetaSchema | ( | const Handle(MS_MetaSchema)& | aMetaSchema | ) |

virtual Standard_EXPORT const Handle_TCollection_HAsciiString& MS_Common::Name | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void MS_Common::Name | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

## Field Documentation

Handle_TCollection_HAsciiString MS_Common::myFullName `[private]`

MS_MetaSchemaPtr MS_Common::myMetaSchema `[private]`

Handle_TCollection_HAsciiString MS_Common::myName `[private]`

The documentation for this class was generated from the following file:

- MS_Common.hxx